summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
author Ebben Aries <e@dscp.org>2017-12-27 23:59:49 +0000
committer Robby Workman <rworkman@slackbuilds.org>2017-12-27 18:11:23 -0600
commitd8e3bc5c642480d70cd8c84368c8784c7360e7f7 (patch)
tree8e3893381f33f18da44e19ce9e6a31a68a8685e0
parent85634a611301379d704ace426b9678abab1ac813 (diff)
downloadslackbuilds-d8e3bc5c642480d70cd8c84368c8784c7360e7f7.tar.gz
slackbuilds-d8e3bc5c642480d70cd8c84368c8784c7360e7f7.tar.xz
system/kapacitor: Added (Real-Time Streaming Data Processing).
Signed-off-by: David Spencer <idlemoor@slackbuilds.org>
-rw-r--r--system/kapacitor/README16
-rw-r--r--system/kapacitor/doinst.sh28
-rw-r--r--system/kapacitor/kapacitor1
-rw-r--r--system/kapacitor/kapacitor.SlackBuild106
-rw-r--r--system/kapacitor/kapacitor.info10
-rw-r--r--system/kapacitor/slack-desc19
6 files changed, 180 insertions, 0 deletions
diff --git a/system/kapacitor/README b/system/kapacitor/README
new file mode 100644
index 0000000000..10151a24ed
--- /dev/null
+++ b/system/kapacitor/README
@@ -0,0 +1,16 @@
+kapacitor (An Open-Source Real-Time Streaming Data Processing Engine)
+
+Kapacitor is a native data processing engine in the TICK Stack. It
+can process both stream and batch data from InfluxDB. It lets you
+plug in your own custom logic or user-defined functions to process
+alerts with dynamic thresholds, match metrics for patterns, compute
+statistical anomalies, and perform specific actions based on these
+alerts like dynamic load rebalancing. It also integrates with HipChat,
+OpsGenie, Alerta, Sensu, PagerDuty, Slack, and more.
+
+Groupname and Username
+
+You must have the "kapacitor" group and user to run this script, for example:
+
+ groupadd -g 351 kapacitor
+ useradd -u 351 -s /bin/false -d /var/lib/kapacitor -g kapacitor kapacitor
diff --git a/system/kapacitor/doinst.sh b/system/kapacitor/doinst.sh
new file mode 100644
index 0000000000..8b4ea94f61
--- /dev/null
+++ b/system/kapacitor/doinst.sh
@@ -0,0 +1,28 @@
+config() {
+ NEW="$1"
+ OLD="`dirname $NEW`/`basename $NEW .new`"
+ # If there's no config file by that name, mv it over:
+ if [ ! -r $OLD ]; then
+ mv $NEW $OLD
+ elif [ "`cat $OLD | md5sum`" = "`cat $NEW | md5sum`" ]; then # toss the redundant copy
+ rm $NEW
+ fi
+ # Otherwise, we leave the .new copy for the admin to consider...
+}
+
+preserve_perms() {
+ NEW="$1"
+ OLD="$(dirname $NEW)/$(basename $NEW .new)"
+ if [ -e $OLD ]; then
+ cp -a $OLD ${NEW}.incoming
+ cat $NEW > ${NEW}.incoming
+ mv ${NEW}.incoming $NEW
+ fi
+ config $NEW
+}
+
+config etc/kapacitor/kapacitor.conf.new
+config etc/logrotate.d/kapacitor.new
+config etc/default/kapacitor.new
+
+preserve_perms etc/rc.d/rc.kapacitor.new
diff --git a/system/kapacitor/kapacitor b/system/kapacitor/kapacitor
new file mode 100644
index 0000000000..0f427ec6d7
--- /dev/null
+++ b/system/kapacitor/kapacitor
@@ -0,0 +1 @@
+# Kapacitor options
diff --git a/system/kapacitor/kapacitor.SlackBuild b/system/kapacitor/kapacitor.SlackBuild
new file mode 100644
index 0000000000..1ce45e4c6a
--- /dev/null
+++ b/system/kapacitor/kapacitor.SlackBuild
@@ -0,0 +1,106 @@
+#!/bin/sh
+
+# Slackware build script for Kapacitor
+
+# Copyright 2017 Ebben Aries <e@dscp.org>
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=kapacitor
+VERSION=${VERSION:-1.4.0}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i586 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+UIDGID=351
+if ! getent group $PRGNAM; then
+ echo " You must have the \"$PRGNAM\" group to run this script."
+ echo " # groupadd -g $UIDGID $PRGNAM"
+ exit 1
+elif ! getent passwd $PRGNAM; then
+ echo " You must have the \"$PRGNAM\" user to run this script."
+ echo " # useradd -u $UIDGID -s /bin/false -d /var/lib/kapacitor -g $PRGNAM $PRGNAM"
+ exit 1
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "x86_64" ]; then
+ PKG_ARCH=amd64
+elif [ "$ARCH" = "i586" ] || [ "$ARCH" = "i686" ]; then
+ PKG_ARCH=i386
+else
+ echo "$ARCH is not supported."
+ exit 1
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-${VERSION}-1
+tar xvf $CWD/$PRGNAM-${VERSION}_linux_${PKG_ARCH}.tar.gz
+cd $PRGNAM-${VERSION}-1
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+cp -a . $PKG
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+mkdir -p $PKG/etc/rc.d
+mv $PKG/usr/lib/kapacitor/scripts/init.sh $PKG/etc/rc.d/rc.kapacitor.new
+rm -rf $PKG/usr/lib
+
+mv $PKG/etc/kapacitor/kapacitor.conf $PKG/etc/kapacitor/kapacitor.conf.new
+mv $PKG/etc/logrotate.d/kapacitor $PKG/etc/logrotate.d/kapacitor.new
+mkdir -p $PKG/etc/default
+cat $CWD/kapacitor > $PKG/etc/default/kapacitor.new
+
+chown kapacitor:kapacitor $PKG/var/lib/kapacitor
+chmod 0750 $PKG/var/lib/kapacitor
+
+chown kapacitor:kapacitor $PKG/var/log/kapacitor
+chmod 0755 $PKG/var/log/kapacitor
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/system/kapacitor/kapacitor.info b/system/kapacitor/kapacitor.info
new file mode 100644
index 0000000000..a36baa9e02
--- /dev/null
+++ b/system/kapacitor/kapacitor.info
@@ -0,0 +1,10 @@
+PRGNAM="kapacitor"
+VERSION="1.4.0"
+HOMEPAGE="https://www.influxdata.com"
+DOWNLOAD="https://dl.influxdata.com/kapacitor/releases/kapacitor-1.4.0_linux_i386.tar.gz"
+MD5SUM="9b8608e2a2b0ca908fea60d050f2ed0f"
+DOWNLOAD_x86_64="https://dl.influxdata.com/kapacitor/releases/kapacitor-1.4.0_linux_amd64.tar.gz"
+MD5SUM_x86_64="5fbd93e381b5bacb31d625082e109a4d"
+REQUIRES=""
+MAINTAINER="Ebben Aries"
+EMAIL="e@dscp.org"
diff --git a/system/kapacitor/slack-desc b/system/kapacitor/slack-desc
new file mode 100644
index 0000000000..432ed54b8a
--- /dev/null
+++ b/system/kapacitor/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+kapacitor: kapacitor (An Open-Source Real-Time Streaming Data Processing Engine)
+kapacitor:
+kapacitor: Kapacitor is a native data processing engine in the TICK Stack. It
+kapacitor: can process both stream and batch data from InfluxDB. It lets you
+kapacitor: plug in your own custom logic or user-defined functions to process
+kapacitor: alerts with dynamic thresholds, match metrics for patterns, compute
+kapacitor: statistical anomalies, and perform specific actions based on these
+kapacitor: alerts like dynamic load rebalancing. It also integrates with HipChat,
+kapacitor: OpsGenie, Alerta, Sensu, PagerDuty, Slack, and more.
+kapacitor:
+kapacitor: Home-Page: https://www.influxdata.com/